package
{
	import flash.display.Sprite;
	import flash.events.TouchEvent;
	import flash.ui.Multitouch;
	import flash.ui.MultitouchInputMode;
	
	public class SimpleMultitouch extends Sprite
	{
		private var spots:Array;
		
		public function SimpleMultitouch()
		{
			super();
			
			if(Multitouch.supportsTouchEvents)
			{
				init();
			} else {
				trace("no multitouch support");
			}
			
		}
		
		private function init():void
		{
			Multitouch.inputMode = MultitouchInputMode.TOUCH_POINT;
			
			this.stage.addEventListener(TouchEvent.TOUCH_BEGIN, handleTouchEvents);
			this.stage.addEventListener(TouchEvent.TOUCH_END, handleTouchEvents);
			
			this.spots = [];
		}
		
		private function handleTouchEvents(event:TouchEvent):void
		{
			var spot:Sprite;
			
			if(event.type == "touchBegin")
			{
				spot = getCircle();
				spot.x = event.stageX;
				spot.y = event.stageY;
				spot.startTouchDrag(event.touchPointID, true);
				this.stage.addChild(spot);
				
				this.spots[event.touchPointID] = spot;
				
			} else {
				spot = this.spots[event.touchPointID];
				this.stage.removeChild(spot);
				
				delete this.spots[event.touchPointID];
			}
		}
		
		private function getCircle(circ:uint=60):Sprite
		{
			var spot:Sprite = new Sprite();
			spot.graphics.beginFill(Math.random()*0xffffff);
			
			spot.graphics.drawCircle(0,0,circ);
			
			return spot;
		}
	}
}